explain_sethostname_or_die(3)

NAME
explain_sethostname_or_die - get/set hostname and report errors

SYNOPSIS
#include <libexplain/sethostname.h>

void explain_sethostname_or_die(const char *name, size_t name_size);
intexplain_sethostname_on_error(const char *name, size_t name_size);

DESCRIPTION
The explain_sethostname_or_die function is used to call the sethostname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_sethostname(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_sethostname_on_error function is used to call the sethostname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_sethostname(3) function, but still returns to the caller.

name
    The name, exactly as to be passed to the sethostname(2) system call.

name_size
    The name_size, exactly as to be passed to the sethostname(2) system call.

RETURN VALUE
The explain_sethostname_or_die function only returns on success, see sethostname(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_sethostname_on_error function always returns the value return by the wrapped sethostname(2) system call.

EXAMPLE
The explain_sethostname_or_die function is intended to be used in a fashion similar to the following example:
    explain_sethostname_or_die(name, name_size);

SEE ALSO

sethostname(2)
    get/set hostname

explain_sethostname(3)
    explain sethostname(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller